curl --request GET \
--url https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients \
--header 'Authorization: Basic <encoded-value>' \
--header 'Trio-Version: <trio-version>'import requests
url = "https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients"
headers = {
"Trio-Version": "<trio-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Trio-Version': '<trio-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Trio-Version: <trio-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Trio-Version", "<trio-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients")
.header("Trio-Version", "<trio-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Trio-Version"] = '<trio-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"bank_account": null,
"counterparty": {
"id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"name": "Random",
"tax_number": "34842155000197"
},
"id": "1fb05245-a185-0ec1-2661-3390353a35e3",
"pix_key": "some-pix-key",
"ref_type": "pix_key"
}
],
"metadata": {
"after": null,
"before": null,
"has_more": false
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}List Counterparty Recipients
Lists the recipients of a counterparty
curl --request GET \
--url https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients \
--header 'Authorization: Basic <encoded-value>' \
--header 'Trio-Version: <trio-version>'import requests
url = "https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients"
headers = {
"Trio-Version": "<trio-version>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Trio-Version': '<trio-version>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Trio-Version: <trio-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Trio-Version", "<trio-version>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients")
.header("Trio-Version", "<trio-version>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.trio.com.br/v2/counterparties/{counterparty_id}/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Trio-Version"] = '<trio-version>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"bank_account": null,
"counterparty": {
"id": "018df099-093e-cfd1-4500-4c9392eb5d8a",
"name": "Random",
"tax_number": "34842155000197"
},
"id": "1fb05245-a185-0ec1-2661-3390353a35e3",
"pix_key": "some-pix-key",
"ref_type": "pix_key"
}
],
"metadata": {
"after": null,
"before": null,
"has_more": false
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}{
"error": {
"error_code": "INVALID_PARAMETER",
"error_message": "Invalid parameters: /amount: Invalid integer. Got: string",
"errors": [
{
"field": "/amount",
"message": "Invalid integer. Got: string"
}
]
}
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
Version of the v2 contract the client is written against. Each breaking change publishes a new version.
2026-10-19.v2 ID of another org to act on instead of the API key's own org. The key's org must have been granted access to it, and the request is refused with 403 FORBIDDEN otherwise. When that access or the API key is read-only, only GET and HEAD requests may carry it. When the target org requires mTLS, so does the request. Leave it out to act on the key's own org.
Path Parameters
Counterparty ID Unique identifier
Query Parameters
Parameter used for pagination. It is a base64 encoded param used to access the previous page of results.
Parameter used for pagination. It is a base64 encoded param used to access the next page of results.
Limit

